org.apache.maven.execution

## Class BuildSuccess

- java.lang.Object
- - org.apache.maven.execution.BuildSuccess

-     public class BuildSuccess
      extends java.lang.Object

  Describe a build success in the reactor.
  Version:
    $Id: BuildSuccess.java 640549 2008-03-24 20:05:11Z bentmann $
  Author:
    Brett Porter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BuildSuccess(MavenProject project, long time)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MavenProject` | `getProject()`
    `long` | `getTime()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BuildSuccess

          public BuildSuccess(MavenProject project,
                      long time)

  - ### Method Detail

    - #### getProject

          public MavenProject getProject()

    - #### getTime

          public long getTime()